#ifndef GLOBALS_H
#define GLOBALS_H
// Copyright (c) 2005 David Drysdale.  See license.txt for license info

#include <PalmOS.h>
#include "board.h"

#ifdef DEFINEVARS
#define GLOBALVAR(TYPE, NAME, VALUE) TYPE NAME = VALUE;
#else
#define GLOBALVAR(TYPE, NAME, VALUE) extern TYPE NAME;
#endif

// Is PalmOS 3.5 functionality available?
GLOBALVAR(Boolean, got35, false);

// currVPos is in the range [0, (board->height - kVertCells)] 
// and indicates which row of cells is displayed at the top of the screen
GLOBALVAR(Int16, currVPos, 0);

// currHPos is in the range [0, (board->width - kHorizCells)]
// and indicates which column of cells is displayed at the left of the screen
GLOBALVAR(Int16, currHPos, 0);

// The current state of play
GLOBALVAR(BOARD *, board, NULL);

// Is the next click a defuse event?
GLOBALVAR(Boolean, defusePending, false);

// Time (in ticks) of last time check
GLOBALVAR(UInt32, lastTimeCheck, 0);

// The offset of the main form gadget on the screen
GLOBALVAR(Boolean, foundMainOffsets, false);
GLOBALVAR(Int16, mainDeltaX, 0);
GLOBALVAR(Int16, mainDeltaY, 16);

// Whether to stop drawing because some other dialog has the focus
GLOBALVAR(Boolean, dontDraw, false);

#endif
